# Class DisplayMinimalDto

Namespace
  adas_core.Domain.Models.DTO.Display

Assembly
  adas-core.Domain.dll

Represents a minimal data transfer object that encapsulates a subset of fields from a Display model for lightweight serialization or transfer.

    public class DisplayMinimalDto

Inheritance
  object
  DisplayMinimalDto

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### DisplayMinimalDto(Display)

Represents a minimal data transfer object that encapsulates a subset of fields from a Display model for lightweight serialization or transfer.

    public DisplayMinimalDto(Display display)

#### Parameters

`display` Display

## Properties

### Id

    public ObjectId Id { get; set; }

#### Property Value

ObjectId

### Name

    public string Name { get; set; }

#### Property Value

string

### Type

    public DisplayConfigEnums.DisplayType Type { get; set; }

#### Property Value

DisplayConfigEnums.DisplayType